{
	"library": "entaxy-main",
	"objectFilter": "",
	"schemas": [
		{
			"root": "entaxy.xsd",
			"namespace": "http://www.entaxy.ru/schemas/1.0",
			"prefix": "entaxy",
			"isPublic": true,
			"objectFilter": "",
			"transform": [
				{
					"processor": "xslt",
					"source": "entaxy-struct.xslt",
					"objectFilter": ""
				},
				{
					"processor": "xslt",
					"source": "entaxy-profiles.xslt",
					"objectFilter": "(|(context.type=entaxy.runtime.profile)(context.type=entaxy.runtime.default-route))"
				},
				{
					"processor": "xslt",
					"source": "entaxy-connectors.xslt",
					"objectFilter": "(context.type=entaxy.runtime.connector)"
				},
				{
					"processor": "xslt",
					"source": "entaxy-services.xslt",
					"objectFilter": "(context.type=entaxy.runtime.service)"
				},
				{
					"processor": "xslt",
					"source": "entaxy-routes.xslt",
					"objectFilter": "(context.type=entaxy.runtime.route)"
				}
				
			]
		},
		{
			"root": "connector-selector.xsd",
			"namespace": "http://www.entaxy.ru/schemas/entaxy-mediators/1.0",
			"prefix": "m",
			"isPublic": true,
			"objectFilter": "(&(context.type=entaxy.runtime.profile)(context.fieldName=connector-selector))",
			"transform": [
				{
					"processor": "xslt",
					"source": "connector-selector.xslt",
					"objectFilter": ""
				}
			],
			"uiDescriptor": "connector-selector.json"
		},
		{
			"root": "entaxy-mediators.xsd",
			"namespace": "http://www.entaxy.ru/schemas/entaxy-mediators/1.0",
			"prefix": "m",
			"isPublic": true,
			"objectFilter": "",
			"transform": [
				{
					"processor": "xslt",
					"source": "entaxy-mediators.xslt",
					"objectFilter": ""
				}
			],
			"uiDescriptor": "entaxy-mediators.json"
		},
		{
			"root": "rest-service-components.xsd",
			"namespace": "http://www.entaxy.ru/schemas/entaxy-mediators/1.0",
			"prefix": "m",
			"isPublic": true,
			"objectFilter": "(&(|(context.type=entaxy.runtime.service)(context.type=entaxy.runtime.connector))(context.factory.typeinfo.serviceType=REST))",
			"transform": [
				{
					"processor": "xslt",
					"source": "rest-service-components.xslt",
					"objectFilter": ""
				}
			],
			"uiDescriptor": "rest-service-components.json"
		},
		{
			"root": "soap-service-components.xsd",
			"namespace": "http://www.entaxy.ru/schemas/entaxy-mediators/1.0",
			"prefix": "m",
			"isPublic": true,
			"objectFilter": "(&(|(context.type=entaxy.runtime.service)(context.type=entaxy.runtime.connector))(context.factory.typeinfo.serviceType=SOAP))",
			"transform": [
				{
					"processor": "xslt",
					"source": "soap-service-components.xslt",
					"objectFilter": ""
				}
			],
			"uiDescriptor": "soap-service-components.json"
		}
	]
}